/* /  CD- */

#include <stdio.h>
#include <fcntl.h>
#include <linux/cdrom.h>

#define CD_DEVICE "/dev/cdrom"

int main()
{
    int fd;

    fd = open(CD_DEVICE, O_RDONLY|O_NONBLOCK);
    if(fd < 0) { perror("open"); return -1; }

    if(ioctl(fd, CDROMEJECT) < 0) { perror("ioctl EJECT"); return -1; }

    printf("Press ENTER");
    getchar();

    if(ioctl(fd, CDROMCLOSETRAY) < 0) { perror("ioctl CLOSETRY"); return -1; }

    return 0;
}
