/* /  CD- */

#include <stdio.h>
#include <linux/types.h>
#include <send_cmd.h>

/*    */
void test_unit_ready()
{
    __u8 cmd_buff[12];
    memset((void *)cmd_buff, 0, 12);
    cmd_buff[0] = 0x00;
    send_packet_command(cmd_buff);

    return;
}

void close_cdrom()
{
    __u8 cmd_buff[12];

    memset((void *)cmd_buff, 0, 12);
    cmd_buff[0] = 0x1B;
    cmd_buff[4] = 0x3;

    send_packet_command(cmd_buff);

    return;
}


void open_cdrom()
{
    __u8 cmd_buff[12];

    memset((void *)cmd_buff, 0, 12);
    cmd_buff[0] = 0x1B;
    cmd_buff[4] = 0x2;

    send_packet_command(cmd_buff);

    return;
}



int main()
{
    ioperm(0x170, 8, 1);

    drive_reset();

    test_unit_ready();
    open_cdrom();

    printf("CD-ROM .  'Enter'  .");
    getchar();

    close_cdrom();

    test_unit_ready();
    printf("OK. CD-ROM .\n");

    ioperm(0x170, 8, 0);

    return 0;
}
