/*     Audio-CD */

#include <stdio.h>
#include <linux/types.h>
#include <linux/byteorder/swab.h>
#include <send_cmd.h>

/*    */
void test_unit_ready()
{
    __u8 cmd_buff[12];
    memset((void *)cmd_buff, 0, 12);
    cmd_buff[0] = 0x00;
    send_packet_command(cmd_buff);

    return;
}


void play_audio()
{
    __u8 cmd_buff[12];
    __u32 start_lba = 100;
    __u16 lba_len = 5000;

    memset((void *)cmd_buff, 0, 12);
    cmd_buff[0] = 0x45;

    start_lba = __swab32(start_lba);
    memcpy((void *)(cmd_buff + 2), (void *)&start_lba, 4);

    cmd_buff[7] = *((__u8 *)&lba_len + 1);
    cmd_buff[8] = *(__u8 *)&lba_len;

    send_packet_command(cmd_buff);

    return;
}


int main()
{
    int i;

    ioperm(0x170, 8, 1);

    drive_reset();

    test_unit_ready();

    printf(" 'ENTER'    Audio CD");
    getchar();

    test_unit_ready();
    play_audio();

    ioperm(0x170, 8, 0);

    return 0;
}
