typedef struct {
    __u16 disk_info_len;
    __u8 disk_status		:2;
    __u8 ls_status		:2;
    __u8 erasable		:1;
    __u8 res			:3;
    __u8 first_track_num;
    __u8 sess_num_lsb;
    __u8 first_trk_ls;
    __u8 last_trk_ls;
    __u8 BG_format_status	:2;
    __u8 Dbit			:1;
    __u8 res1			:1;
    __u8 DAC_V			:1;
    __u8 URU			:1;
    __u8 DBC_V			:1;
    __u8 DID_V			:1;
    __u8 disk_type;
    __u8 sess_num_msb;
    __u8 first_trk_ms;
    __u8 last_trk_ms;
    __u32 disk_ident;
    __u32 lead_in_start;
    __u8 l_out[4];
    __u8 disk_bar_code[8];
    __u8 disk_appl_code;
    __u8 OPC_table_num;
} __attribute__ ((packed)) disk_info_block_t;

#define DIB_LEN 34

typedef struct {
    __u16 trk_info_len;
    __u8 trk_num_ls;
    __u8 sess_num_ls;
    __u8 res;
    __u8 trk_mode	:4;
    __u8 copy		:1;
    __u8 damage		:1;
    __u8 res1		:2;
    __u8 data_mode	:4;
    __u8 FP		:1;
    __u8 PAC_INC	:1;
    __u8 blank		:1;
    __u8 RT		:1;
    __u8 NWA_V		:1;
    __u8 LRA_V		:1;
    __u8 res2		:6;
    __u32 start_addr;
    __u32 nwa;
    __u32 free_blk;
    __u32 FPS;
    __u32 trk_size;
    __u32 lra;
    __u8 trk_num_ms;
    __u8 sess_num_ms;
    __u16 res3;
} __attribute__ ((packed)) trk_info_t;

#define TRK_INFO_LEN 36
