/*    CD- */

#include <stdio.h>
#include <linux/types.h>
#include <linux/byteorder/swab.h>
#include <send_cmd.h>

/*    */
void test_unit_ready()
{
    __u8 cmd_buff[12];
    memset((void *)cmd_buff, 0, 12);
    cmd_buff[0] = 0x00;
    send_packet_command(cmd_buff);

    return;
}


int read_inquiry()
{
    int i = 0;
    __u8 cmd_buff[12];
    __u16 inquiry_buff[20];

    memset((void *)inquiry_buff, 0, 40);
    memset((void *)cmd_buff, 0, 12);
    cmd_buff[0] = 0x12;
    cmd_buff[4] = 40;

    if(send_packet_data_command(40, cmd_buff) < 0) {
	printf("INQUIRY error\n");
	return -1;
    }

    for(i = 0; i < 20; i++) IN_P_W(inquiry_buff[i], 0x170);

    printf("%.8s%.16s%.4s\n", inquiry_buff + 4, inquiry_buff + 8, inquiry_buff + 16);

    return 0;
}


int main()
{
    ioperm(0x170, 8, 1);

    drive_reset();

    test_unit_ready();
    if(read_inquiry() < 0) return -1;

    ioperm(0x170, 8, 0);

    return 0;
}
